%define majver %(echo %version | cut -d. -f1-2)
Name:          qtwebkit
Epoch:         1
Version:       5.13.1
Release:       1mamba
Summary:       A Qt based web browser engine
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://qt.io
Source:        http://download.qt.io/snapshots/ci/qtwebkit/5.212/latest/src/submodules/qtwebkit-everywhere-src-%{version}.tar.xz
#Source:        http://download.qt.io/community_releases/%{majver}/%{version}-final/qtwebkit-opensource-src-%{version}.tar.xz
Patch0:        qtwebkit-5.9.0-icu-59.patch
Patch1:        qtwebkit-5.212-add-missing-include-functional.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXrender-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libhyphen-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libqt5-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwebp-devel
BuildRequires: libwoff2-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libqt5-devel >= 5.14
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A Qt based web browser engine.

%package -n libQt5WebKit
Group:         System/Libraries
Summary:       Qt based web browser engine libraries
Provides:      libQt5WebKitWidgets
Obsoletes:     libQt5WebKitWidgets

%description -n libQt5WebKit
A Qt based web browser engine.
This package contains shared libraries for %{name}.

%package -n libQt5WebKit-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5WebKit = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5WebKit-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n qtwebkit-everywhere-src-%{version}
#-D -T
#:<< _EOF
#%patch0 -p1
#%patch1 -p1

%build
#:<< _EOF
#qmake-qt5
%cmake -d build \
   -DPORT="Qt" \
   -DCMAKE_CXX_FLAGS="-fpermissive" \
   -DKDE_INSTALL_LIBEXECDIR=%{_libdir}/qt5/libexec \
   -DKDE_INSTALL_QMLDIR=%{_libdir}/qt5/qml \
   -DECM_MKSPECS_INSTALL_DIR=%{_libdir}/qt5/mkspecs/modules \
   -DKDE_INSTALL_INCLUDEDIR=%{_includedir}/qt5 \
%ifarch arm
   -DENABLE_JIT=OFF
%endif

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build INSTALL_ROOT=%{buildroot}

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5WebKit -p /sbin/ldconfig
%postun -n libQt5WebKit -p /sbin/ldconfig

%files -n libQt5WebKit
%defattr(-,root,root)
%{_libdir}/libQt5WebKit.so.*
%{_libdir}/libQt5WebKitWidgets.so.*
%{_libdir}/qt5/libexec/QtWebPluginProcess
%{_libdir}/qt5/libexec/QtWebProcess
%{_libdir}/qt5/libexec/QtWebNetworkProcess
%{_libdir}/qt5/libexec/QtWebStorageProcess
%dir %{_libdir}/qt5/qml/QtWebKit
%{_libdir}/qt5/qml/QtWebKit/*

%files -n libQt5WebKit-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtWebKit
%{_includedir}/qt5/QtWebKit/*
%dir %{_includedir}/qt5/QtWebKitWidgets
%{_includedir}/qt5/QtWebKitWidgets/*
%dir %{_libdir}/cmake/Qt5WebKit
%{_libdir}/cmake/Qt5WebKit/Qt5WebKit*.cmake
%{_libdir}/libQt5WebKit*.so
%{_libdir}/pkgconfig/Qt5WebKit.pc
%{_libdir}/pkgconfig/Qt5WebKitWidgets.pc
%{_libdir}/qt5/mkspecs/modules/qt_lib_webkit*.pri
%dir %{_libdir}/cmake/Qt5WebKitWidgets
%{_libdir}/cmake/Qt5WebKitWidgets/Qt5WebKit*.cmake
%dir %{_libdir}/cmake/Qt5WebKit
%{_libdir}/cmake/Qt5WebKit/WebKit*.cmake

%changelog
* Wed Apr 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.1-1mamba
- update to 5.13.1

* Sun Jul 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.212-3mamba
- rebuilt with libqt5 5.13

* Thu Jan 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.212-2mamba
- rebuilt with libqt5 5.12

* Tue Sep 25 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.212-1mamba
- update to 5.212
- also obsolete libQt5WebKitWidgets

* Thu Oct 26 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- update to 5.9.0

* Sat Jun 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-2mamba
- ensure rebuild against Qt 6.1.0

* Thu May 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
